﻿using EVCB_OCPP.Packet.Messages.SubTypes;
using EVCB_OCPP.WSServer.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.WSServer.Service
{

    public interface IBusinessService
    {
        IdTagInfo Authorize(string chargeBoxId,string idTag);

        void NotifyFaultStatus( ErrorDetails details);

    }

    static public class BusinessServiceFactory
    {

        static public IBusinessService CreateBusinessService(string customerId, bool isLocalHandle)
        {

            return new OuterBusinessService(customerId);
        }

    }
}
